Server Actions
demandes
11 Server Actions du domaine demandes, générées depuis le registre de l’API agent.
demandes__addRequestItem
| Argument | Type | Requis |
|---|---|---|
proposalId | string | oui |
item | ProposalItemInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__addRequestItem",
"args": [
"<proposalId>",
"<item>"
]
}'demandes__claimInvitedRequest
| Argument | Type | Requis |
|---|---|---|
requestId | string | oui |
entityId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__claimInvitedRequest",
"args": [
"<requestId>",
"<entityId>"
]
}'demandes__closeVendorRequest
| Argument | Type | Requis |
|---|---|---|
requestId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__closeVendorRequest",
"args": [
"<requestId>"
]
}'demandes__declineInvitedRequest
| Argument | Type | Requis |
|---|---|---|
requestId | string | oui |
entityId | string | oui |
reason | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__declineInvitedRequest",
"args": [
"<requestId>",
"<entityId>",
"<reason>"
]
}'demandes__freeRequestPrice
| Argument | Type | Requis |
|---|---|---|
proposalId | string | oui |
input | FreePriceInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__freeRequestPrice",
"args": [
"<proposalId>",
"<input>"
]
}'demandes__openRequestDraft
| Argument | Type | Requis |
|---|---|---|
requestId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__openRequestDraft",
"args": [
"<requestId>"
]
}'demandes__removeRequestItem
| Argument | Type | Requis |
|---|---|---|
proposalId | string | oui |
itemId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__removeRequestItem",
"args": [
"<proposalId>",
"<itemId>"
]
}'demandes__sendRequestProposal
| Argument | Type | Requis |
|---|---|---|
proposalId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__sendRequestProposal",
"args": [
"<proposalId>"
]
}'demandes__setAcceptsPieceRequests
| Argument | Type | Requis |
|---|---|---|
entityId | string | oui |
accepts | boolean | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__setAcceptsPieceRequests",
"args": [
"<entityId>",
"<accepts>"
]
}'demandes__suggestRequestPieces
| Argument | Type | Requis |
|---|---|---|
proposalId | string | oui |
lineId | string | oui |
query | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__suggestRequestPieces",
"args": [
"<proposalId>",
"<lineId>",
"<query>"
]
}'demandes__updateRequestDraft
| Argument | Type | Requis |
|---|---|---|
proposalId | string | oui |
input | { storageLocationId: string; message: string } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "demandes__updateRequestDraft",
"args": [
"<proposalId>",
"<input>"
]
}'